### Constructor

# FwupdPlugin PartialInputStream new

since: 2.0.0

#### Declaration [src]

    GInputStream*
    fu_partial_input_stream_new (
      GInputStream* stream,
      gsize offset,
      gsize size,
      GError** error
    )

#### Description [src]

Creates a partial input stream where content is read from the donor stream.

Available since: 2.0.0

#### Parameters

`stream`

  Type: `GInputStream`

  A base `GInputStream`.

  The data is owned by the caller of the function.

`offset`

  Type: `gsize`

  Offset into `stream`.

`size`

  Type: `gsize`

  Size of `stream` in bytes, or `G_MAXSIZE` for the “rest” of the stream.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GInputStream`

A `FuPartialInputStream`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.